[B070] 转化医学详情
通过转化医学id,获取转化医学详情
请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
| string | eda470b5-773b-346d-b6df-7b5daae53505 | 转化医学id,通过转化医学检索接口获取 |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | object | - | 响应数据 |
author | array | Please check the form: MedicineDataDetailAuthor | 作者 |
ordinal | integer<int64> | 1 | 序号 |
superscript | array | [
1,
2
] | 上标 |
original_name | string | John Smith | 原始名称 |
pubmed_url | array | [
"https://pubmed.ncbi.nlm.nih.gov/12345678/"
] | PubMed地址 |
source_url | array | [
"https://example.com/source/123456"
] | 外链URL |
abstract_text | array | This study investigates novel biomarkers for cancer research... | 摘要 |
lang | string | EN | 语言 |
text | string | This study investigates novel biomarkers for cancer research... | 文本 |
author_institution | array | Please check the form: MedicineDataDetailInstitution | 作者机构 |
ordinal | integer<int64> | 1 | 序号 |
original_name | string | Harvard Medical School | 原始名称 |
translational_medicine_title | array | Please check the form: CommonName | 标题 |
lang | string | EN | 语言 |
name | string | Ranibizumab (Genentech) | 药物、靶点、机构、适应症、国家/地区、字典、作用机制 名称 |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": {
"author": [
{
"ordinal": 1,
"superscript": [
1,
2
],
"original_name": "John Smith"
}
],
"pubmed_url": [
"https://pubmed.ncbi.nlm.nih.gov/12345678/"
],
"source_url": [
"https://example.com/source/123456"
],
"abstract_text": [
{
"lang": "EN",
"text": "This study investigates novel biomarkers for cancer research..."
}
],
"author_institution": [
{
"ordinal": 1,
"original_name": "Harvard Medical School"
}
],
"translational_medicine_title": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
},
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200000 | API整体限流错误! |
67200001 | API整体限流错误! |
67200002 | 当前调用速率过快,超过当前配置限制QPS! |
67200003 | 申请token的key和secret传参不正确或者客户端已被禁用! |
67200004 | 请求的接口无权限请联系我们的支持人员! |
67200005 | 账户余额/调用次数不足! |
67200006 | 客户端超过开通有效期! |
67200007 | 当前调用超过当天配置使用额度! |
67200008 | 请检查query参数中必填的apikey是否传输! |
67200009 | apikey与所传的bearerToken不匹配,请检查是否使用在有效期内的token! |
67200012 | 请求不合法! |
67200100 | 当前服务器状态正忙,请求响应超时! |
67200101 | 当前请求的Api不存在请检查请求Path! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
性能指标
此接口的预期性能特征
正常响应时间
5000 ms
最大响应时间
10000 ms